Bug 682488 - Review Request: drupal6-filefield - Defines a file field type
Summary: Review Request: drupal6-filefield - Defines a file field type
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 656160 (view as bug list)
Depends On:
Blocks: 682489
TreeView+ depends on / blocked
 
Reported: 2011-03-06 01:24 UTC by eric@christensenplace.us
Modified: 2011-04-01 16:28 UTC (History)
4 users (show)

Fixed In Version: drupal6-filefield-6.x.3.9-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 05:36:42 UTC
tla: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description eric@christensenplace.us 2011-03-06 01:24:51 UTC
Spec URL: http://sparks.fedorapeople.org/Packages/drupal6-filefield.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/drupal6-filefield-6.x.3.9-1.fc14.src.rpm

Description: 
FileField provides a universal file upload field for CCK. It is a robust 
alternative to core's Upload module and an absolute must for users uploading a
large number of files. Great for managing video and audio files for podcasts on
your own site.

Comment 1 Tim Lauridsen 2011-03-08 06:29:40 UTC
I will review this bug

Comment 2 Tim Lauridsen 2011-03-08 06:36:48 UTC
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[-] : MUST - %build honors applicable compiler flags or justifies otherwise.
[-] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[-] : MUST - %config files are marked noreplace or the reason is justified.
[x] : MUST - Each %files section contains %defattr
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[-] : MUST - Package contains a properly installed %{name}.desktop using desktop-file-install file if it is a GUI application.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[-] : MUST - Fully versioned dependency in subpackages, if present.
[-] : MUST - Header files in -devel subpackage, if present.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[-] : MUST - ldconfig called in %post and %postun if required.
[-] : MUST - Large documentation files are in a -doc subpackage, if required.
[x] : MUST - Package does not contain any libtool archives (.la)
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[-] : MUST - License file installed when any subpackage combination is installed.
[-] : MUST - The spec file handles locales properly.
[x] : MUST - Package consistently uses macros. instead of hard-coded directory names.
[x] : MUST - Package use %makeinstall only when make install DESTDIR=... doesn't work.
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[-] : MUST - No %config files under /usr.
[x] : MUST - Package does not genrate any conflict.
[x] : MUST - Package does not contains kernel modules.
[x] : MUST - Package contains no static executables.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Rpath absent or only used for internal libs.
[x] : MUST - Package is not relocatable.
[x] : MUST - Requires correct, justified where necessary.
[!] : MUST - Rpmlint output is silent.
        
        rpmlint drupal6-filefield-6.x.3.9-1.fc16.src.rpm
        ================================================================================
        drupal6-filefield.src: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
        rpmlint drupal6-filefield-6.x.3.9-1.fc16.noarch.rpm
        ================================================================================
        drupal6-filefield.noarch: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
        1 packages and 0 specfiles checked; 0 errors, 1 warnings.
        ================================================================================
        
[-] : MUST - Development .so files in -devel subpackage, if present.
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        MD5SUM this package     : 43aff980408beff7d8f5554282aad15b
        MD5SUM upstream package : 43aff980408beff7d8f5554282aad15b
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - Static libraries in -static subpackage, if present.
[x] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[-] : MUST - Useful -debuginfo package or justification otherwise.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Latest version is packaged.
[x] : SHOULD - Package does not include license text files separate from upstream.
[-] : SHOULD - Man pages included for all executables.
[-] : SHOULD - Uses parallel make.
[-] : SHOULD - Patches link to upstream bugs/comments/lists or are otherwise justified.
[-] : SHOULD - The placement of pkgconfig(.pc) files are correct.
[x] : SHOULD - Scriptlets must be sane, if used.
        
[x] : SHOULD - SourceX is a working URL.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[?] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
[x] : SHOULD - Spec use %global instead of %define.

Issues:
[!] : SHOULD - SourceX / PatchY prefixed with %{name}.
        Source0: http://ftp.drupal.org/files/projects/filefield-6.x-3.9.tar.gz (filefield-6.x-3.9.tar.gz)

        should be 
        Source0: http://ftp.drupal.org/files/projects/%{modname}-%{version}.tar.gz 
        I make it easier to bump the version
        Not a deal breaker.
        
APPROVED

Comment 3 eric@christensenplace.us 2011-03-08 12:23:56 UTC
New Package SCM Request
=======================
Package Name: drupal6-filefield
Short Description: Defines a file field type in Drupal.
Owners: sparks
Branches: f15 f14 f13 el5 el6
InitialCC:

Comment 4 Jason Tibbitts 2011-03-08 20:55:14 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-09 01:49:38 UTC
drupal6-filefield-6.x.3.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/drupal6-filefield-6.x.3.9-1.fc14

Comment 6 Fedora Update System 2011-03-09 01:49:45 UTC
drupal6-filefield-6.x.3.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/drupal6-filefield-6.x.3.9-1.fc13

Comment 7 Fedora Update System 2011-03-09 01:49:52 UTC
drupal6-filefield-6.x.3.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-filefield-6.x.3.9-1.fc15

Comment 8 Fedora Update System 2011-03-09 01:50:00 UTC
drupal6-filefield-6.x.3.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-filefield-6.x.3.9-1.el6

Comment 9 Fedora Update System 2011-03-09 01:50:07 UTC
drupal6-filefield-6.x.3.9-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-filefield-6.x.3.9-1.el5

Comment 10 Fedora Update System 2011-03-09 18:27:15 UTC
drupal6-filefield-6.x.3.9-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 11 Fedora Update System 2011-03-14 05:36:37 UTC
drupal6-filefield-6.x.3.9-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Peter Borsa 2011-03-14 20:06:31 UTC
*** Bug 656160 has been marked as a duplicate of this bug. ***

Comment 13 Fedora Update System 2011-03-17 18:49:49 UTC
drupal6-filefield-6.x.3.9-1.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-03-17 18:50:52 UTC
drupal6-filefield-6.x.3.9-1.fc13 has been pushed to the Fedora 13 stable repository.

Comment 15 Fedora Update System 2011-04-01 16:27:33 UTC
drupal6-filefield-6.x.3.9-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 16 Fedora Update System 2011-04-01 16:28:08 UTC
drupal6-filefield-6.x.3.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.